Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_Dispatching Class Reference

Abstract base class for the dispatching strategies. More...

`#include <EC_Dispatching.h>`

Inheritance diagram for TAO_EC_Dispatching:

[legend]
List of all members.

## Public Methods
virtual | ~TAO_EC_Dispatching (void)
| Destructor...
virtual void | activate (void)=0
virtual void | shutdown (void)=0
virtual void | push (TAO_EC_ProxyPushSupplier *proxy, RtecEventComm::PushConsumer_ptr consumer, const RtecEventComm::EventSet &event, TAO_EC_QOS_Info &qos_info ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0
virtual void | push_nocopy (TAO_EC_ProxyPushSupplier *proxy, RtecEventComm::PushConsumer_ptr consumer, RtecEventComm::EventSet &event, TAO_EC_QOS_Info &qos_info ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0

## Detailed Description

Abstract base class for the dispatching strategies.

The dispatching strategies. The EC may be configured with different dispatching strategies, for instance, it can use a pool of threads to dispatch the events, or a set of queues with threads at different priorities for each queue or can simply push the event to the consumer in FIFO order.

## Constructor & Destructor Documentation

TAO_EC_Dispatching::~TAO_EC_Dispatching | ( | void |  | ) | `[virtual]`

| Destructor...

## Member Function Documentation

virtual void TAO_EC_Dispatching::activate | ( | void |  | ) | `[pure virtual]`

| Initialize all the data structures, activate any internal threads, etc. Implemented in TAO_EC_Kokyu_Dispatching, TAO_EC_MT_Dispatching, TAO_EC_Priority_Dispatching, TAO_EC_Reactive_Dispatching, and TAO_EC_RTCORBA_Dispatching.

virtual void TAO_EC_Dispatching::push | ( | TAO_EC_ProxyPushSupplier * | proxy,
|  | RtecEventComm::PushConsumer_ptr | consumer,
|  | const RtecEventComm::EventSet & | event,
|  | TAO_EC_QOS_Info &qos_info | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | `[pure virtual]`

| The consumer represented by proxy should receive event. It can use the information in qos_info to determine the event priority (among other things). Implemented in TAO_EC_Kokyu_Dispatching, TAO_EC_MT_Dispatching, TAO_EC_Priority_Dispatching, TAO_EC_Reactive_Dispatching, and TAO_EC_RTCORBA_Dispatching.

virtual void TAO_EC_Dispatching::push_nocopy | ( | TAO_EC_ProxyPushSupplier * | proxy,
|  | RtecEventComm::PushConsumer_ptr | consumer,
|  | RtecEventComm::EventSet & | event,
|  | TAO_EC_QOS_Info &qos_info | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | `[pure virtual]`

| Implemented in TAO_EC_Kokyu_Dispatching, TAO_EC_MT_Dispatching, TAO_EC_Priority_Dispatching, TAO_EC_Reactive_Dispatching, and TAO_EC_RTCORBA_Dispatching.

virtual void TAO_EC_Dispatching::shutdown | ( | void |  | ) | `[pure virtual]`

| Deactivate any internal threads and cleanup internal data structures, it should only return once the threads have finished their jobs. Implemented in TAO_EC_Kokyu_Dispatching, TAO_EC_MT_Dispatching, TAO_EC_Priority_Dispatching, TAO_EC_Reactive_Dispatching, and TAO_EC_RTCORBA_Dispatching.

The documentation for this class was generated from the following files:

- EC_Dispatching.h
- EC_Dispatching.cpp